<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: argos::CCrazyflieEntity Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceargos.html">argos</a></li><li class="navelem"><a class="el" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classargos_1_1CCrazyflieEntity-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">argos::CCrazyflieEntity Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="crazyflie__entity_8h_source.html">src/plugins/robots/crazyflie/simulator/crazyflie_entity.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for argos::CCrazyflieEntity:</div>
<div class="dyncontent">
<div class="center"><img src="classargos_1_1CCrazyflieEntity__inherit__graph.png" border="0" usemap="#aargos_1_1CCrazyflieEntity_inherit__map" alt="Inheritance graph"/></div>
<map name="aargos_1_1CCrazyflieEntity_inherit__map" id="aargos_1_1CCrazyflieEntity_inherit__map">
<area shape="rect" title=" " alt="" coords="5,80,164,107"/>
<area shape="rect" title=" " alt="" coords="15,5,154,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for argos::CCrazyflieEntity:</div>
<div class="dyncontent">
<div class="center"><img src="classargos_1_1CCrazyflieEntity__coll__graph.png" border="0" usemap="#aargos_1_1CCrazyflieEntity_coll__map" alt="Collaboration graph"/></div>
<map name="aargos_1_1CCrazyflieEntity_coll__map" id="aargos_1_1CCrazyflieEntity_coll__map">
<area shape="rect" title=" " alt="" coords="5,80,164,107"/>
<area shape="rect" title=" " alt="" coords="15,5,154,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae2c4f634d5f21ee5c91a1d012881c7c6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieEntity.html#ae2c4f634d5f21ee5c91a1d012881c7c6">ENABLE_VTABLE</a> ()</td></tr>
<tr class="separator:ae2c4f634d5f21ee5c91a1d012881c7c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad685b34fa259509f3c2ade5627cf11b5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieEntity.html#ad685b34fa259509f3c2ade5627cf11b5">CCrazyflieEntity</a> ()</td></tr>
<tr class="separator:ad685b34fa259509f3c2ade5627cf11b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5c53a98b09de41484b06b85b53efa59"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieEntity.html#ac5c53a98b09de41484b06b85b53efa59">CCrazyflieEntity</a> (const std::string &amp;str_id, const std::string &amp;str_controller_id, const CVector3 &amp;c_position=CVector3(), const CQuaternion &amp;c_orientation=CQuaternion(), Real f_rab_range=3.0f, size_t un_rab_data_size=10, const CRadians &amp;c_perspcam_aperture=ToRadians(CDegrees(33.75f)), Real f_perspcam_focal_length=0.035f, Real f_perspcam_range=3.0f)</td></tr>
<tr class="separator:ac5c53a98b09de41484b06b85b53efa59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90dc7f29beaa3cff58aa1b4ef35f6bb8"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieEntity.html#a90dc7f29beaa3cff58aa1b4ef35f6bb8">Init</a> (TConfigurationNode &amp;t_tree)</td></tr>
<tr class="separator:a90dc7f29beaa3cff58aa1b4ef35f6bb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab96e45ee98984caaf1d117a14078961"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieEntity.html#aab96e45ee98984caaf1d117a14078961">Reset</a> ()</td></tr>
<tr class="separator:aab96e45ee98984caaf1d117a14078961"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ab007a8e365146bab417abac2597990"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieEntity.html#a8ab007a8e365146bab417abac2597990">UpdateComponents</a> ()</td></tr>
<tr class="separator:a8ab007a8e365146bab417abac2597990"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89f5e130191e0e4e0da1cb413076ea90"><td class="memItemLeft" align="right" valign="top">CControllableEntity &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieEntity.html#a89f5e130191e0e4e0da1cb413076ea90">GetControllableEntity</a> ()</td></tr>
<tr class="separator:a89f5e130191e0e4e0da1cb413076ea90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4b536c4d5dea7a202bf118d7b883bcc"><td class="memItemLeft" align="right" valign="top">CEmbodiedEntity &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieEntity.html#af4b536c4d5dea7a202bf118d7b883bcc">GetEmbodiedEntity</a> ()</td></tr>
<tr class="separator:af4b536c4d5dea7a202bf118d7b883bcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51037207c588b3d1f8e6ad0bae455879"><td class="memItemLeft" align="right" valign="top">CQuadRotorEntity &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieEntity.html#a51037207c588b3d1f8e6ad0bae455879">GetQuadRotorEntity</a> ()</td></tr>
<tr class="separator:a51037207c588b3d1f8e6ad0bae455879"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a353730d2d7b2e781d75ae7a363af32ed"><td class="memItemLeft" align="right" valign="top">CRABEquippedEntity &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieEntity.html#a353730d2d7b2e781d75ae7a363af32ed">GetRABEquippedEntity</a> ()</td></tr>
<tr class="separator:a353730d2d7b2e781d75ae7a363af32ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0239815ca879091c815e50f0e80ed3e1"><td class="memItemLeft" align="right" valign="top">CLEDEquippedEntity &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieEntity.html#a0239815ca879091c815e50f0e80ed3e1">GetLEDEquippedEntity</a> ()</td></tr>
<tr class="separator:a0239815ca879091c815e50f0e80ed3e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64d0cbb9eea18760a5fb3e8019dff525"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">CCrazyflieBatteryEquippedEntity</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieEntity.html#a64d0cbb9eea18760a5fb3e8019dff525">GetBatterySensorEquippedEntity</a> ()</td></tr>
<tr class="separator:a64d0cbb9eea18760a5fb3e8019dff525"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae057c8c3ea8dd10819929c68dcbff7cd"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieEntity.html#ae057c8c3ea8dd10819929c68dcbff7cd">GetTypeDescription</a> () const</td></tr>
<tr class="separator:ae057c8c3ea8dd10819929c68dcbff7cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad685b34fa259509f3c2ade5627cf11b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad685b34fa259509f3c2ade5627cf11b5">&#9670;&nbsp;</a></span>CCrazyflieEntity() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::CCrazyflieEntity::CCrazyflieEntity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac5c53a98b09de41484b06b85b53efa59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5c53a98b09de41484b06b85b53efa59">&#9670;&nbsp;</a></span>CCrazyflieEntity() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::CCrazyflieEntity::CCrazyflieEntity </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>str_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>str_controller_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const CVector3 &amp;&#160;</td>
          <td class="paramname"><em>c_position</em> = <code>CVector3()</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const CQuaternion &amp;&#160;</td>
          <td class="paramname"><em>c_orientation</em> = <code>CQuaternion()</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Real&#160;</td>
          <td class="paramname"><em>f_rab_range</em> = <code>3.0f</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>un_rab_data_size</em> = <code>10</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const CRadians &amp;&#160;</td>
          <td class="paramname"><em>c_perspcam_aperture</em> = <code>ToRadians(CDegrees(33.75f))</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Real&#160;</td>
          <td class="paramname"><em>f_perspcam_focal_length</em> = <code>0.035f</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Real&#160;</td>
          <td class="paramname"><em>f_perspcam_range</em> = <code>3.0f</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae2c4f634d5f21ee5c91a1d012881c7c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2c4f634d5f21ee5c91a1d012881c7c6">&#9670;&nbsp;</a></span>ENABLE_VTABLE()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::CCrazyflieEntity::ENABLE_VTABLE </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a64d0cbb9eea18760a5fb3e8019dff525"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64d0cbb9eea18760a5fb3e8019dff525">&#9670;&nbsp;</a></span>GetBatterySensorEquippedEntity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">CCrazyflieBatteryEquippedEntity</a>&amp; argos::CCrazyflieEntity::GetBatterySensorEquippedEntity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a89f5e130191e0e4e0da1cb413076ea90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89f5e130191e0e4e0da1cb413076ea90">&#9670;&nbsp;</a></span>GetControllableEntity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CControllableEntity&amp; argos::CCrazyflieEntity::GetControllableEntity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af4b536c4d5dea7a202bf118d7b883bcc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4b536c4d5dea7a202bf118d7b883bcc">&#9670;&nbsp;</a></span>GetEmbodiedEntity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CEmbodiedEntity&amp; argos::CCrazyflieEntity::GetEmbodiedEntity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0239815ca879091c815e50f0e80ed3e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0239815ca879091c815e50f0e80ed3e1">&#9670;&nbsp;</a></span>GetLEDEquippedEntity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CLEDEquippedEntity&amp; argos::CCrazyflieEntity::GetLEDEquippedEntity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a51037207c588b3d1f8e6ad0bae455879"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51037207c588b3d1f8e6ad0bae455879">&#9670;&nbsp;</a></span>GetQuadRotorEntity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CQuadRotorEntity&amp; argos::CCrazyflieEntity::GetQuadRotorEntity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a353730d2d7b2e781d75ae7a363af32ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a353730d2d7b2e781d75ae7a363af32ed">&#9670;&nbsp;</a></span>GetRABEquippedEntity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CRABEquippedEntity&amp; argos::CCrazyflieEntity::GetRABEquippedEntity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae057c8c3ea8dd10819929c68dcbff7cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae057c8c3ea8dd10819929c68dcbff7cd">&#9670;&nbsp;</a></span>GetTypeDescription()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::string argos::CCrazyflieEntity::GetTypeDescription </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a90dc7f29beaa3cff58aa1b4ef35f6bb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90dc7f29beaa3cff58aa1b4ef35f6bb8">&#9670;&nbsp;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieEntity::Init </td>
          <td>(</td>
          <td class="paramtype">TConfigurationNode &amp;&#160;</td>
          <td class="paramname"><em>t_tree</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aab96e45ee98984caaf1d117a14078961"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab96e45ee98984caaf1d117a14078961">&#9670;&nbsp;</a></span>Reset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieEntity::Reset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8ab007a8e365146bab417abac2597990"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ab007a8e365146bab417abac2597990">&#9670;&nbsp;</a></span>UpdateComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieEntity::UpdateComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/plugins/robots/crazyflie/simulator/<a class="el" href="crazyflie__entity_8h_source.html">crazyflie_entity.h</a></li>
<li>src/plugins/robots/crazyflie/simulator/<a class="el" href="crazyflie__entity_8cpp.html">crazyflie_entity.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
